Autor Tema: hashcat - error clGetPlatformIDs(): CL_PLATFORM_NOT_FOUND_KHR  (Leído 396 veces)

0 Usuarios y 1 Visitante están viendo este tema.

Desconectado Markko

  • **
  • Mensajes: 1
Con la Live de Wifislax64 2.0 después de capturar el PMKID al ejecutar el crack
hashcat -m 16800 hashtocrack -a 3 -w 3
nos da el error del asunto clGetPlatformIDs(): CL_PLATFORM_NOT_FOUND_KHR

Busco soluciones a ese error y, entre todo lo que he podido ver, elijo el siguiente enlace
https://www.wst.space/fix-hashcat-cl_platform_not_found_khr/ 

En esta web, el primer paso que indican para solucionar el error es ir a Intel
https://software.intel.com/en-us/articles/opencl-drivers

Una vez en la página de Intel en la sección "Linux* OS" elijo el enlace "Manual Download and Install"

En este enlace,  https://github.com/intel/compute-runtime/releases, en la primera sección "Packages included in the release", elijo el enlace "intel-opencl (https://github.com/intel/compute-runtime)", que por otras páginas que he leido me pareció el más adecuado (he de decir que he probado casí todo lo que he leído).

En esta última página de GitHub, con el enlace de clonar, descargo y creo los directorios para todos los ficheros.

El siguiente paso es instalarlos.

Soy muy nuevo en Linux, pero hasta donde puedo intento hacerlo por mi mismo. y me he encontrado con un muro para mi infranqueable.

Todas la posibles soluciones encontradas, que giran todas entorno a los drivers OpenCL para Linux de la tarjeta gráfica, se dirigen a Intel para hacer las descargas oportunas.

En intel hay multitud de enlaces para Linux, Ubuntu el que más, pero nada para Slackware, con lo que una vez descargados los ficheros para Ubuntu, que en otras ocasiones fueron los más próximos, y como además los comandos de instalación de WifiSlax no son iguales, literalmente ya no se que hacer con estos ficheros descargados.

Fin del viaje, y por eso estoy aquí

Mi tarjeta gráfica es Ati Mobility Radeon X1600

De la página de AMD "https://www.amd.com/en/support/graphics/legacy-graphics/ati-radeon-x-series/ati-radeon-x1xxx-series" he descargado el driver de mi tarjeta de video "ati-driver-installer-9-3-x86.x86_64.run" y tampoco se que hacer con el.

Al instalarlo me da el siguiente error:

"which: no XFree86 in (/usr/local/sbin:/usr/sbin:/sbin:/usr/games:/usr/local/bin:/usr/bkde4/libexec:/usr/lib64/qt/bin:/usr/lib64/qt5/bin:/usr/share/texmf/bin)

Error: ./default_policy.sh does not support version
default:v2:x86_64:lib::none:4.19.18-wifislax64; make sure that the version is being
correctly set by --iscurrentdistro"



Mi pregunta es bastante obvia, y no por eso menos complicada para mi:

¿Cómo puedo corregir este error?

Gracias anticipadas por vuestra colaboración.


« Última modificación: 21-11-2019, 01:43 (Jueves) por Markko »